

* Note: SPSS v. 11.5 or higher is required to estimate these models.

* In SPSS, BY is equivalent to CLASS in SAS. 
* Results reported are from SAS Proc Mixed  SPSS estimates differ slightly.
* WITH denotes continuous variables.
* FIXED is equivalent to MODEL in SAS.
* EMMEANS is equivalent to LSMEANS in SAS. 

* Replace path with location of .sav file.
GET FILE = 'F:\folder\example.sav'.

TITLE 'Eq3: SPSS Empty Model: No Random Effects'.
MIXED rt BY Subject Item
  	/FIXED  =
  	/METHOD = REML
  	/PRINT  = SOLUTION TESTCOV.

TITLE 'Eq4: SPSS Random Effects of Subjects Model'.
MIXED rt BY Subject Item 
  	/FIXED  =
  	/METHOD = REML
  	/PRINT  = SOLUTION TESTCOV
 	/RANDOM = INTERCEPT | SUBJECT(Subject) COVTYPE(UN).

TITLE 'Eq5: SPSS Random Subjects by Random Items Crossed Model'.
MIXED rt BY Subject Item
  	/FIXED  =
  	/METHOD = REML
  	/PRINT  = SOLUTION TESTCOV
	/RANDOM = INTERCEPT | SUBJECT(Item) COVTYPE(UN)
 	/RANDOM = INTERCEPT | SUBJECT(Subject) COVTYPE(UN).

TITLE 'Eq6: SPSS Crossed Predictor Model'.
MIXED rt BY Subject Item Freq Size
  	/FIXED  = Freq Size Freq*Size
  	/METHOD = REML
  	/PRINT  = SOLUTION TESTCOV
	/RANDOM = INTERCEPT | SUBJECT(Item) COVTYPE(UN)
 	/RANDOM = INTERCEPT | SUBJECT(Subject) COVTYPE(UN)
	/EMMEANS  TABLES (Freq*Size).



